package com.hfkj.sysenum;

import java.util.Objects;

/**
 * @className: MealTableOrderStatus
 * @author: HuRui
 * @date: 2023/11/30
 **/
public enum MealTableOrderStatusEnum {

    status0(0, "不可用"),
    status1(1, "未结账"),
    status2(2, "已结账"),
    ;

    private Integer number;

    private String name;

    MealTableOrderStatusEnum(int number, String name) {
        this.number = number;
        this.name = name;
    }

    public static MealTableOrderStatusEnum getDataByNumber(Integer number) {
        for (MealTableOrderStatusEnum ele : values()) {
            if (Objects.equals(number,ele.getNumber())) {
                return ele;
            }
        }
        return null;
    }


    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
